<?php
	$thb_id             = get_the_ID();
	$page_padding       = get_post_meta( $thb_id, 'page_padding', true );
	$true_aspect_ratio  = get_post_meta( $thb_id, 'true_aspect_ratio', true );
	$photo_proof        = get_post_meta( $thb_id, 'photo_proof', true );
	$album_photos_array = explode( ',', get_post_meta( $thb_id, 'gallery_photos', true ) );
?>
	<?php if ( $page_padding === 'on' ) { ?><div class="page-padding"><?php } ?>
	<div class="side_padding">
		<div class="masonry isotope-grid row expanded <?php if ($photo_proof === 'on') { echo 'photo-proof-enabled'; } ?>  gallery-style2">
		<?php
			if ( $album_photos_array ) {
				$i = 0;
				foreach ( $album_photos_array as $photo ) {
					$rand = wp_rand(0, 1000);
					$full_url = wp_get_attachment_image_src( $photo, 'full' );
					$image_url = wp_get_attachment_image_src( $photo, 'twofold-1');

					$column_size = thb_get_column_size('style2', $i);
					$proof_class = $photo_proof === 'on' ? thb_proof_class( $photo ) : '';

					$aspect_ratio = '';
					if ( $true_aspect_ratio === 'on' ) {
						$aspect_ratio = $photo ? (($full_url[2] / $full_url[1]) * 100).'%' : '100%';
						$column_size .= ' thb-true-aspect';
					}
					?>
					<?php if ( $true_aspect_ratio === 'on' ) { ?>
					<div class="item small-12 medium-6 <?php echo esc_attr( $column_size ); ?> columns">
						<figure <?php if ( $true_aspect_ratio === 'on' ) { echo ' style="padding-bottom:'.esc_attr($aspect_ratio).' !important"'; } ?>>
					<?php } else { ?>
						<figure class="item small-12 medium-4 <?php echo esc_attr( $column_size ); ?> columns">
					<?php } ?>
							<?php do_action( 'thb_render_photo', $photo_proof, $proof_class, $photo, $image_url, $full_url, $rand, $true_aspect_ratio); ?>
							<?php do_action( 'thb_display_caption', $rand, $photo, $full_url ); ?>
						</figure>
					<?php if ( $true_aspect_ratio === 'on' ) { ?>
					</div>
					<?php } ?>
					<?php
					$i++;
				}
			}
		?>
		</div>
	</div>
	<?php if ($page_padding === 'on') { ?></div><?php } ?>